Bug 15083 - Concerns over Error accumulation vs. performance
Concerns over Error accumulation vs. performance
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Exclusions
unspecified
PC All
: P2 normal
: ---
Assigned To: Vincent Hardy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 21:51 UTC by Vincent Hardy
Modified: 2012-12-03 07:42 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Hardy 2011-12-06 21:51:22 UTC
Version: Nov. 2011 Editor Draft.

From: http://lists.w3.org/Archives/Public/www-style/2011Nov/0714.html

Error accumulation vs. performance in cases where there is a
       cyclic dependency between the position/size of the exclusion
       and the surrounding content it affects. (For example, when
       the exclusion is centered or otherwise referencing the bottom
       edge, actually getting the position right would require
       multiple-pass layout. The current spec limits it to two passes,
       which will give wrong results in many cases.)
Comment 1 Vincent Hardy 2011-12-06 22:05:15 UTC
From Rossen:

There is really nothing to talk about here. IOW, if anyone comes up with a better proposal that fixes the problem we
Comment 2 Rossen Atanassov 2012-12-03 07:42:47 UTC
The issue was discussed and resolved as closed during 11/2012 TPAC in Lyon, France.

http://logs.csswg.org/irc.w3.org/css/?date=2012-10-28